		var command;
		var items;
		var len;
		var verses;
		var font;
		var b;
		var c;
		
		var verseObjArray = new Array();
		
		function verseClass(){
			this.init = init;
			
			var verseText = "";
			var verseBook = null;
			var verseChapter = null;
			var verseVerse = null;
			
			var container = null;
			
			var font = null;
			
			function init(con,t,b,c,v,f){
				container = con;
				verseText = t;
				verseBook = b;
				verseChapter = c;
				verseVerse = v;
				font = f;

				document.getElementById(container).style.fontFamily = f;
				
				document.getElementById(container).innerHTML = '<a href="javascript:void(0)">' + verseText + "</a>";
				
				addEvents();
			}
			
			function addEvents(){
				document.getElementById(container).addEventListener("click",processVerseClick,false);
			}
			
			function processVerseClick(){
				var tempStr = verseBook + ":" + verseChapter + ":" + verseVerse;
				var str = 'bible_present.html?command=8&value=' + tempStr + '?';
				command = 8;
				ajax(str);
			}
			
			function processVerseMouseOver(){
				air.trace("Mouse Over");
			}
			
			function processVerseMouseOut(){
				air.trace("Mouse Out");
			}
		}
		
		function goHome(){
			location.href = "index.html";	
		}
		
		function getBibleRef(){
			var ref = document.getElementById('remote_bibleRefID').value;
			//alert(ref);
			ref = ref.replace(/%20/g," ");
			var str = 'bible_present.html?command=1&value=' + ref + '?';
			command = 1;
			ajax(str);
		}
		
		function getNextBibleRef(){
			var str = 'bible_present.html?command=2&value=0?';
			command = 2;
			ajax(str);
		}
		
		function getPrevBibleRef(){
			var str = 'bible_present.html?command=3&value=0?';
			command = 3;
			ajax(str);
		}
		
		function blankPresentWindow(){
			var str = 'bible_present.html?command=4&value=0?';
			command = 4;
			ajax(str);
		}
		
		function getVerses(){
			var ref = document.getElementById('remote_bibleRefID').value;
			ref = ref.replace(/%20/g," ");
			var str = 'bible_present.html?command=7&value=' + ref + '?';
			command = 7;
			ajax(str);
		}
		
		function activateClicks(){
			for(var i=3; i<len; i++){
				var containerId = 'VC_' + i;
				verseObjArray[i] = new verseClass;
				var verseText = verses[i];
				//alert("number values.... " + b + " " + c + " " + i);
				verseObjArray[i].init(containerId,verseText,(b*1),((c*1)-1),(i-3),font);
				//verseObjArray[i].init(containerId,verseText,((b*1)+1),((c*1)+1),((i*1)+2),font);
			}
		}
		
		function processVerseResponse(txt){
			verses = txt.split("<br>");
			font = verses[0];
			b = verses[1];
			c = verses[2];
			
			var str = "";
			len = verses.length;
			
			for(var i=3; i<(len); i++){
				var containerId = 'VC_' + i;
				str = str + '<div class="vcClass" id="' + containerId + '">x</div>';	
			}
			return(str);
		}
		
		function ajax(str){
			$.ajax({
				type: "GET",
				url: str,
				async: true,
				dataType: "text",
				success: function (data) {
					if(data !== undefined){
						if (command == 7){
							$( "#resultID" ).html(processVerseResponse(data));
							activateClicks();
						} else {
							if (command == 1){
								if (data != "Presenting verse..."){
									//$( "#resultID" ).html( data );
									alert(data);
								}
							}
						}
					}
				},
				error: function(data){
					if(data !== undefined){
						$( "#resultID" ).html(data.statusText);
					}
				}
			});
		}
		
		function ajax_yui(str){
			var divx = document.getElementById('resultID');

			var handleSuccess = function(o){
				if(o.responseText !== undefined){
					if (command == 7){
						divx.innerHTML = processVerseResponse(o.responseText);
						activateClicks();
					} else {
						//if (command != 8){
						if (command == 1){
							divx.innerHTML = o.responseText;
						}
					}
				}
			}
			
			var handleFailure = function(o){
				if(o.responseText !== undefined){
					divx.innerHTML = o.statusText;
				}
			}
			
			var callback ={
			  cache:false,
			  success:handleSuccess,
			  failure: handleFailure
			};
			
			var request = YAHOO.util.Connect.asyncRequest('GET', str, callback);
		}